Loading...
Searching...
No Matches
ada_c.c File Reference
`#include "ada_c.h"`
`#include <stdbool.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`

Go to the source code of this file.

## Functions

int | LLVMFuzzerTestOneInput (const uint8_t *data, size_t size)

## Function Documentation

## LLVMFuzzerTestOneInput()

int LLVMFuzzerTestOneInput | ( | const uint8_t * | data,
|  | size_t | size )

Split input: use first half as URL input, second half as base URL

ada_parse and ada_can_parse

ada_parse_with_base and ada_can_parse_with_base

IDNA C API

Version API

Search params C API - comprehensive coverage

Definition at line 8 of file ada_c.c.

References ada_can_parse(), ada_can_parse_with_base(), ada_clear_hash(), ada_clear_port(), ada_clear_search(), ada_copy(), ada_free(), ada_free_owned_string(), ada_free_search_params(), ada_free_search_params_entries_iter(), ada_free_search_params_keys_iter(), ada_free_search_params_values_iter(), ada_free_strings(), ada_get_components(), ada_get_hash(), ada_get_host(), ada_get_host_type(), ada_get_hostname(), ada_get_href(), ada_get_origin(), ada_get_password(), ada_get_pathname(), ada_get_port(), ada_get_protocol(), ada_get_scheme_type(), ada_get_search(), ada_get_username(), ada_get_version(), ada_get_version_components(), ada_has_credentials(), ada_has_empty_hostname(), ada_has_hash(), ada_has_hostname(), ada_has_non_empty_password(), ada_has_non_empty_username(), ada_has_password(), ada_has_port(), ada_has_search(), ada_idna_to_ascii(), ada_idna_to_unicode(), ada_is_valid(), ada_parse(), ada_parse_search_params(), ada_parse_with_base(), ada_search_params_append(), ada_search_params_entries_iter_has_next(), ada_search_params_entries_iter_next(), ada_search_params_get(), ada_search_params_get_all(), ada_search_params_get_entries(), ada_search_params_get_keys(), ada_search_params_get_values(), ada_search_params_has(), ada_search_params_has_value(), ada_search_params_keys_iter_has_next(), ada_search_params_keys_iter_next(), ada_search_params_remove(), ada_search_params_remove_value(), ada_search_params_reset(), ada_search_params_set(), ada_search_params_size(), ada_search_params_sort(), ada_search_params_to_string(), ada_search_params_values_iter_has_next(), ada_search_params_values_iter_next(), ada_set_hash(), ada_set_host(), ada_set_hostname(), ada_set_href(), ada_set_password(), ada_set_pathname(), ada_set_port(), ada_set_protocol(), ada_set_search(), ada_set_username(), ada_strings_get(), ada_strings_size(), ada_string_pair::key, ada_owned_string::length, ada_string::length, ada_version_components::major, and ada_string_pair::value.